/** 
 * 
 * Copyright 2004 Protique Ltd
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); 
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at 
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, 
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. 
 * See the License for the specific language governing permissions and 
 * limitations under the License. 
 * 
 **/
package org.activemq.transport.ibmaio;

import org.activemq.io.WireFormat;
import org.activemq.transport.TransportChannel;
import org.activemq.transport.TransportChannelFactorySupport;

import javax.jms.JMSException;
import java.net.URI;

/**
 * An Async IO implementation of a TransportChannelFactory using IBM's AIO4J library
 *
 * @version $Revision: 1.1 $
 */
public class AIOTransportChannelFactory extends TransportChannelFactorySupport {

    public TransportChannel create(WireFormat wireFormat, URI remoteLocation) throws JMSException {
        return populateProperties(new AIOTransportChannel(wireFormat, remoteLocation), remoteLocation);
    }

    public TransportChannel create(WireFormat wireFormat, URI remoteLocation, URI localLocation) throws JMSException {
        return create(wireFormat, remoteLocation);
    }

    public boolean requiresEmbeddedBroker() {
        return false;
    }
}